const BookingCtrl = require('../controllers/booking');

const bookingRoutes = (router) => {
    const bookingCtrl = new BookingCtrl();

    // BookingController
    router.route('/booking/createBooking').post(bookingCtrl.createBooking);
    router.route('/booking/getBookingByReference').post(bookingCtrl.getBookingByReference);
    router.route('/booking/getBookingByFareItemIssuedNumber').post(bookingCtrl.getBookingByFareItemIssuedNumber);
    router.route('/booking/getBookingByDocumentReference').post(bookingCtrl.getBookingByDocumentReference);
    router.route('/booking/getBookingByETicketReference').post(bookingCtrl.getBookingByETicketReference);
    router.route('/booking/getBookingByPassengerFareItemIssuedNumber').post(bookingCtrl.getBookingByPassengerFareItemIssuedNumber);
    router.route('/booking/cancelBooking').post(bookingCtrl.cancelBooking);
    router.route('/booking/getTicketTransactionLog').post(bookingCtrl.getTicketTransactionLog);
    router.route('/booking/refundReasons').get(bookingCtrl.getRefundReasons);
    router.route('/booking/createTicketQrCode').post(bookingCtrl.createTicketQrCode);
    router.route('/booking/createInvoiceTaxQrCode').post(bookingCtrl.createInvoiceTaxQrCode);
    router.route('/booking/countries').get(bookingCtrl.countries);
}

module.exports = bookingRoutes;
